Bug 503303 - Please update gdbm to 1.8.3
Please update gdbm to 1.8.3
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gdbm (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Stepan Kasal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-30 22:10 EDT by Jeroen van Meeuwen
Modified: 2009-12-18 04:30 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 04:30:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeroen van Meeuwen 2009-05-30 22:10:30 EDT
Description of problem:

Newer versions of gdbm are available upstream. Please update gdbm to at least 1.8.1 on Fedora 10+

Version-Release number of selected component (if applicable):

gdbm-1.8.0-31.fc10
Comment 1 Jeroen van Meeuwen 2009-05-30 22:47:33 EDT
The following packages appear to depend on gdbm:

am-utils
avahi
clisp
compat-python24
freeradius
fsvs
gauche
gdbm
gnu-smalltalk
jpilot-backup
kdevelop
lighttpd
Macaulay2
maildrop
mt-daapd
muine
ntop
ocaml
OpenIPMI
perl
perl-eperl
perl-XML-LibXSLT
pulseaudio
python
q
qfaxreader
qsf
ruby
snobol
tcl-thread
ypserv

Attempting to rebuild those now and stuff'em in a separate repository for testing purposes.
Comment 2 Jeroen van Meeuwen 2009-05-31 06:11:27 EDT
The only subtle difference between gdbm-1.8.0 and later versions is an soname bump and multiple fixes.

The soname bump of course has most significant impact, and so to get the dependent packages rebuilt I built the following plan:

https://fedoraproject.org/wiki/User:Kanarip/Updating_GDBM#Making_sure_everything_builds

The only package that I needed to rebuild with a compat-gdbm183 so far is perl BTW. Once that's done  (and can be included in the buildroot), everything seems fine.

results (if you want to test) are on http://www.kanarip.com/custom/f10-gdbm/ for Fedora 10, and http://www.kanarip.com/custom/f11-gdbm/ for Fedora 11.
Comment 3 Bug Zapper 2009-11-18 07:02:53 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-12-18 04:30:40 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.